Name:          gnome-autoar
Version:       0.4.5
Epoch:         1
Release:       1mamba
Summary:       Automatic archives creating and extracting library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/GNOME/gnome-autoar
Source:        https://github.com/GNOME/gnome-autoar.git/%{version}/gnome-autoar-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libarchive-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Automatic archives creating and extracting library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Automatic archives creating and extracting library

%description -n lib%{name}
Automatic archives creating and extracting library.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgnome-autoar-0.so.*
%{_libdir}/libgnome-autoar-gtk-0.so.*
%{_libdir}/girepository-1.0/GnomeAutoar-0.1.typelib
%{_libdir}/girepository-1.0/GnomeAutoarGtk-0.1.typelib
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/gnome-autoar-0
%dir %{_includedir}/gnome-autoar-0/gnome-autoar
%{_includedir}/gnome-autoar-0/gnome-autoar/*.h
%{_libdir}/libgnome-autoar-0.so
%{_libdir}/libgnome-autoar-gtk-0.so
%{_libdir}/pkgconfig/gnome-autoar-0.pc
%{_libdir}/pkgconfig/gnome-autoar-gtk-0.pc
#%{_datadir}/vala/vapi/gnome-autoar-0.vapi
#%{_datadir}/vala/vapi/gnome-autoar-gtk-0.vapi
%{_datadir}/gir-1.0/GnomeAutoar-0.1.gir
%{_datadir}/gir-1.0/GnomeAutoarGtk-0.1.gir

%changelog
* Sat Sep 07 2024 Automatic Build System <autodist@openmamba.org> 0.4.5-1mamba
- automatic version update by autodist

* Fri Mar 17 2023 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- automatic version update by autodist

* Fri Feb 11 2022 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- automatic version update by autodist

* Fri Jan 07 2022 Automatic Build System <autodist@mambasoft.it> 0.4.2-1mamba
- automatic version update by autodist

* Sat Oct 30 2021 Automatic Build System <autodist@mambasoft.it> 0.4.1-1mamba
- automatic version update by autodist

* Thu Aug 19 2021 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Fri Jun 04 2021 Automatic Build System <autodist@mambasoft.it> 0.3.3-1mamba
- automatic version update by autodist

* Fri Apr 30 2021 Automatic Build System <autodist@mambasoft.it> 0.3.2-1mamba
- automatic version update by autodist

* Sun Mar 14 2021 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Fri Sep 13 2019 Automatic Build System <autodist@mambasoft.it> 0.2.4-1mamba
- automatic version update by autodist

* Mon Mar 12 2018 Automatic Build System <autodist@mambasoft.it> 0.2.3-1mamba
- automatic version update by autodist

* Sun Jul 16 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- update to 0.2.2

* Mon Apr 27 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 20150427git-1mamba
- package created using the webbuild interface
